Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154970 - When printing to PDF, change is justification ignored.
Summary: When printing to PDF, change is justification ignored.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: abiword
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marc Maurer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 06:44 UTC by Michael A. Peters
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-05 19:20:34 UTC


Attachments (Terms of Use)
AbiWord document used (deleted)
2005-04-15 06:46 UTC, Michael A. Peters
no flags Details
This is the resulting pdf file (deleted)
2005-04-15 06:46 UTC, Michael A. Peters
no flags Details

Description Michael A. Peters 2005-04-15 06:44:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
Create a new AbiWord document.
Write some paragraphs without right justification - then some with it turned on.

Printing to a printer (in my case LaserJet 4) - what I see is what I get. But printing to PDF, all paragraphs are the same - without any right justification.

The PDF was viewed with evince.
Test document and pdf will be attached.

Version-Release number of selected component (if applicable):
abiword-2.2.7-1

How reproducible:
Always

Steps to Reproduce:
1. create an AbiWord document
2. make it so some of the paragraphs are full justified, while others are not.
3. print to pdf
  

Actual Results:  no justification in resulting pdf file

Expected Results:  paragraphs that are justified in document should be justified in resulting pdf

Additional info:

I'm not positive this is an AbiWord bug, it could be in the gnome pdf printing stuff - it does print correctly when sent to printer.

Unfortunately I was not able to print the pdf to see if it is a pdf rendering problem only - as asking evince to print failed.

Comment 1 Michael A. Peters 2005-04-15 06:46:02 UTC
Created attachment 113210 [details]
AbiWord document used

Comment 2 Michael A. Peters 2005-04-15 06:46:54 UTC
Created attachment 113211 [details]
This is the resulting pdf file

Comment 3 Marc Maurer 2005-04-16 14:25:52 UTC
Fairly sure that this is a bug in libgnomeprint. Will look into it, and move
this bug upstream if is indeed libgnomeprint that is to blame.

Comment 4 Marc Maurer 2005-05-05 19:20:34 UTC
Yep, this was a bug libgnomeprint, which was reported upstream. It has been
fixed in libgnomeprint 2.10.2.


Note You need to log in before you can comment on or make changes to this bug.